Policies

Submit Policy Cancellation Request

POST
/v1/policies/{policy_number}/cancel

Submit a cancellation request for a policy

Authorization

basic auth
AuthorizationBasic <token>

Authorization header with value of Basic <auth string> where the auth string value is a base64 encoded string of <client id>:<client secret>

In: header

Path Parameters

policy_number*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/policies/string/cancel" \  -H "Content-Type: application/json" \  -d '{}'
{  "type": "POLICY",  "premium_amount": 1,  "premium_amount_to_show": 0,  "policy_number": "string",  "first_name": "string",  "middle_name": "string",  "last_name": "string",  "email_address": "string",  "email_address_hash": "string",  "phone_number": "string",  "street": "string",  "city": "string",  "postal_code": "string",  "country": "st",  "state": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "abbreviation": "string",    "country": "string",    "default_timezone_offset": "string",    "type": "string"  },  "customer": {    "email_address": "user@example.com",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "policy_status": "ACTIVE",  "issued_date": "2019-08-24T14:15:22Z",  "expiration_date": "2019-08-24T14:15:22Z",  "effective_date": "2019-08-24T14:15:22Z",  "quote_date": "2019-08-24T14:15:22Z",  "product": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "event-participation-cancellation-insurance",    "friendly_name": "string",    "abbreviation": "string",    "enabled": true,    "description": "string",    "peril_heading": "string",    "perils": [      "string"    ],    "descriptors": [      "string"    ],    "promotional_header": "string",    "promotional_description": "string",    "accept_action_text": "string",    "decline_action_text": "string",    "legal_disclaimer": "string",    "privacy_policy_url": "string",    "terms_conditions_url": "string",    "additional_policy_purchase_email_message": "string",    "layout": "string",    "carrier_logo_url": "string",    "carrier_name": "string",    "carrier_email": "string",    "carrier_phone": "string",    "claims_url": "string"  },  "policy_attributes": {},  "gross_insurance_price": 1,  "endorsement_price_changes": 0,  "endorsement_tax_fee_changes": [    {      "amount": 0,      "description": "string",      "type": "fee",      "included_in_premium": true,      "include_in_marketing_share": true,      "refundable": true,      "taxable": true,      "per_subscription_charge": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "subscription_premium": {    "payments_required": 0,    "payment_amount": 0,    "can_cancel": true  },  "not_eligible_reason": [    {      "message": "string"    }  ],  "currency": "USD",  "language": "string",  "total": 0,  "taxes_and_fees": [    {      "amount": 0,      "description": "string",      "type": "fee",      "included_in_premium": true,      "include_in_marketing_share": true,      "refundable": true,      "taxable": true,      "per_subscription_charge": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "version": 0,  "quote_id": "string",  "is_test": true,  "metadata": {    "property1": "string",    "property2": "string"  },  "checkout_url": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "cancellation_date": "2019-08-24T14:15:22Z",  "cancellation_reason": "string",  "external": true,  "requires_subscription": true,  "birth_date": "2019-08-24",  "tax_identifier": "string"}
{  "error": "string",  "error_code": "string",  "message": "string",  "reason": "string",  "status": 0}
{  "links": {    "empty": true  },  "embedded": {    "empty": true  },  "_links": {    "empty": true  },  "_embedded": {    "empty": true  },  "message": "string",  "logref": {},  "path": {}}